#//////////////////////////////////////////////////////////////////////////////
#   -- MAGMA (version 0.1) --
#      Univ. of Tennessee, Knoxville
#      Univ. of California, Berkeley
#      Univ. of	Colorado, Denver
#      April 2012
#//////////////////////////////////////////////////////////////////////////////

GPU_TARGET = MIC

CC        = icc -mkl
FORT      = gfortran

ARCH      = ar
ARCHFLAGS = cr
RANLIB    = ranlib

OPTS      = -O3 -DHAVE_MIC -DADD_ -Wall
FOPTS     = -O3 -DHAVE_MIC -DADD_ -Wall -x f95-cpp-input
LDOPTS    = -fPIC -Xlinker -zmuldefs -Wall

# define library directories here or in your environment
# for MKL run, e.g.: /opt/sw/intel/2011.2.137/mkl/bin/mklvars.sh intel64
#MKLROOT   = /opt/intel/2011.2.137/composerxe-2011.2.137/mkl

LIB       = -lscif -lpthread

LIBDIR    = -L$(MKLROOT)/lib/intel64 \
            -L$(MKLROOT)/../compiler/lib/intel64 
LIBDIRMIC = -L$(MKLROOT)/lib/mic \
            -L$(MKLROOT)/../compiler/lib/mic 
